Package ghidra.features.bsim.query.protocol

# Class PrewarmRequest

java.lang.Object
ghidra.features.bsim.query.protocol.BSimQuery<ResponsePrewarm>
ghidra.features.bsim.query.protocol.PrewarmRequest

public class PrewarmRequest extends BSimQuery<ResponsePrewarm>
Request that the database preload portions of the main vector table so that initial queries return faster from a server that has just been restarted.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `mainIndexConfig`
  `ResponsePrewarm`
  `prewarmresponse`
  `int`
  `secondaryIndexConfig`
  `int`
  `vectorTableConfig`

  ### Fields inherited from class ghidra.features.bsim.query.protocol.BSimQuery

  `name, response`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrewarmRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildResponseTemplate()`
  `void`
  `restoreXml(XmlPullParser parser, LSHVectorFactory vectorFactory)`
  `void`
  `saveXml(Writer fwrite)`

  ### Methods inherited from class ghidra.features.bsim.query.protocol.BSimQuery

  `clearResponse, execute, getDescriptionManager, getLocalStagingCopy, getName, getResponse, restoreQuery`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mainIndexConfig

    public int mainIndexConfig

  - ### secondaryIndexConfig

    public int secondaryIndexConfig

  - ### vectorTableConfig

    public int vectorTableConfig

  - ### prewarmresponse

    public ResponsePrewarm prewarmresponse

- ## Constructor Details

  - ### PrewarmRequest

    public PrewarmRequest()

- ## Method Details

  - ### buildResponseTemplate

    public void buildResponseTemplate()
    Overrides:
      `buildResponseTemplate` in class `BSimQuery<ResponsePrewarm>`

  - ### saveXml

    public void saveXml(Writer fwrite) throws IOException
    Specified by:
      `saveXml` in class `BSimQuery<ResponsePrewarm>`
    Throws:
      `IOException`

  - ### restoreXml

    public void restoreXml(XmlPullParser parser, LSHVectorFactory vectorFactory) throws LSHException
    Specified by:
      `restoreXml` in class `BSimQuery<ResponsePrewarm>`
    Throws:
      `LSHException`